<template>
  <div class="homePage">
    <webHome v-if="!homeBoxHide"/>
    <mobileHome v-if="homeBoxHide"/>
  </div>
</template>
<script setup lang="ts">
import { ref, onMounted } from 'vue'
import webHome from '@/views//readerPages/webHome.vue'
import mobileHome from '@/views//readerPages/mobileHome.vue'
const screenWidth = ref(
  window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth
)
const homeBoxHide = ref(false)

onMounted(() => {
  if (screenWidth.value < 420) {
    homeBoxHide.value = true
  }else{
    homeBoxHide.value = false
  }
})
</script>

<style lang="less">
.homePage{
    width:100%;
    height:100%;
}
</style>
